Search documentation of ash

# Ash.Error.Unknown.UnknownError exception (ash v3.4.71)

View Source

Used when an unknown error occurs

# Summary

## Types

t()

## Functions

exception(args)

Create an `Elixir.Ash.Error.Unknown.UnknownError` without raising it.

# Types

# t()

    @type t() :: %Ash.Error.Unknown.UnknownError{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      error: binary() | nil,
      field: term() | nil,
      path: term(),
      splode: term(),
      stacktrace: term(),
      value: term() | nil,
      vars: term()
    }

# Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %Ash.Error.Unknown.UnknownError{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      error: term(),
      field: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      value: term(),
      vars: term()
    }

Create an `Elixir.Ash.Error.Unknown.UnknownError` without raising it.

## Keys

- :error
- :field
- :value